#version 330

layout(location = 0) in vec3 position;
layout(location = 1) in vec2 vertexUV;
layout(location = 2) in vec3 vertexNormal_modelspace;

out vec2 UV;

uniform mat4 matModel;
uniform mat4 matWorld;
uniform mat4 matView;
uniform mat4 matProjection;

void main() {
	gl_Position = matProjection * matView * matWorld * matModel * vec4(position, 1);
	UV = vertexUV;
}