#version 330 core

in vec2 UV;

struct DirectionalLight {
	vec3 directionLight;
	vec3 ambientLight;
	vec3 diffuseLight;
	vec3 specularLight;
};

uniform DirectionalLight directionalLight;
uniform float shininess;
uniform sampler2D myTextureSampler;
uniform vec3 positionCamera;

out vec4 color;

void main(){
	color = texture2D(myTextureSampler, UV).rgba;
}