#version 330 core
#extension GL_ARB_separate_shader_objects : enable

layout (location = 0) in float Type;
layout (location = 1) in float Life;
layout (location = 2) in float Size;
layout (location = 3) in vec3 Pos;
layout (location = 4) in vec3 Vel;
layout (location = 5) in vec4 Color;
layout (location = 6) in vec3 squareVertices;

layout (location = 7) out vec4 particlecolor;
layout (location = 8) out vec2 UV;


uniform vec3 CameraRight_worldspace;
uniform vec3 CameraUp_worldspace;
uniform mat4 matWorld; 
uniform mat4 matView;
uniform mat4 matProjection;

void main()
{
	float particleSize = Size;
	vec3 particleCenter_wordspace = Pos;
	
	/*vec3 vertexPosition_worldspace = 
		particleCenter_wordspace
		+ CameraRight_worldspace * squareVertices.x * particleSize
		+ CameraUp_worldspace * squareVertices.y * particleSize;

	gl_Position = matProjection * /*matView * ignorieren hier*/ /*matWorld * vec4(vertexPosition_worldspace, 1.0f);*/
		

	gl_Position = matProjection * /*matView * ignorieren hier*/ matWorld * vec4(particleCenter_wordspace, 1.0f);


	UV = squareVertices.xy + vec2(0.5, 0.5);
	particlecolor = Color;
}