#version 330 core
 
layout(location = 0) in vec3 position;
 
uniform mat4 lightMat;
uniform mat4 matModel;
uniform mat4 matWorld;
uniform mat4 matProjection;

void main(){
	gl_Position =  lightMat * matWorld * matModel * vec4(position,1);
}