#version 330 core

layout(points) in;                                                                  
layout(points, max vertices = 1) out;                                                                   

in float[] Type0;
in float[] Life0;
in float[] Size0;
in vec3[] Pos0;
in vec3[] Vel0;
in vec4[] Color0;

out float Type1;
out float Life1;
out float Size1;
out vec3 Pos1;
out vec3 Vel1;
out vec4 Color1;

uniform float delta_time;
uniform float max_particles;
uniform float cur_particles;
uniform vec3 seed_position;
uniform vec3 rnd_velocity;
uniform vec4 rnd_color;

const float PI = 3.141592653589793238462643383;
const vec4 spatterColor = vec4(0.980392, 0.941176, 0.117647, 1.0);
const float diffGreen = 0.941176 - 0.117647;

void main() 
{
int i = 0;
		Type1 = Type0[i];
		Life1 = Life0[i];
		Size1 = Size0[i];
		Pos1 = Pos0[i] + vec3(0.5f,0.5f,0.5f);
		Vel1 = Vel0[i];
		Color1 = Color0[i];
		EmitVertex();
		EndPrimitive();
}