#version 330 core
#extension GL_ARB_separate_shader_objects : enable

layout (location = 7) in vec4 particlecolor;
layout (location = 8) in vec2 UV;

out vec4 fragColor;

uniform int flgIsSky;
uniform sampler2D myTextureSampler;
uniform vec3 positionCamera;

void main()
{
	fragColor = texture2D( myTextureSampler, UV ) * vec4(.5f,.5f,.5f,1.f);	
}
